<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.centre.mapper.SysAppInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.storlead.centre.pojo.entity.SysAppInfoEntity">
        <id column="id" property="id" />
    <result column="sort" property="sort" />
    <result column="enabled" property="enabled" />
    <result column="create_by" property="createBy" />
    <result column="create_time" property="createTime" />
    <result column="update_by" property="updateBy" />
    <result column="update_time" property="updateTime" />
        <result column="app_name" property="appName" />
        <result column="app_code" property="appCode" />
        <result column="app_secret" property="appSecret" />
        <result column="redirect_uri" property="redirectUri" />
        <result column="homepage_url" property="homepageUrl" />
        <result column="description" property="description" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        sort,
        enabled,
        create_by,
        create_time,
        update_by,
        update_time,
        id, app_name, app_code, app_secret, redirect_uri, homepage_url, description
    </sql>

</mapper>
